Debian Bug report logs - #694718
libfile-rsync-perl: New upstream version (0.43) available

version graph

Package: libfile-rsync-perl; Maintainer for libfile-rsync-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for libfile-rsync-perl is src:libfile-rsync-perl.

Reported by: Axel Beckert <abe@debian.org>

Date: Thu, 29 Nov 2012 12:09:02 UTC

Severity: wishlist

Found in version libfile-rsync-perl/0.42-2

Fixed in version libfile-rsync-perl/0.43-1

Done: Xavier Guimard <x.guimard@free.fr>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, abe@debian.org, Ivan Kohler <ivan-debian@420.am>:
Bug#694718; Package libfile-rsync-perl. (Thu, 29 Nov 2012 12:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@debian.org>:
New Bug report received and forwarded. Copy sent to abe@debian.org, Ivan Kohler <ivan-debian@420.am>. (Thu, 29 Nov 2012 12:09:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libfile-rsync-perl: New upstream version (0.43) available
Date: Thu, 29 Nov 2012 12:48:37 +0100
Package: libfile-rsync-perl
Version: 0.42-2
Severity: wishlist

Dear Maintainer,

there's a new upstream version available for File::Rsync, containing
some fixes:

  Tue Aug 18 10:56:10 CDT 2009 ( leakin at dfw dot nostrum dot com )

      * version 0.43: Gavin Carr ( gavin at openfusion dot com dot au )
      sent a patch to make include-from and exclude-from allow multiple
      arguments.  This oversight was a misunderstanding on my part as to
      how these actually work.  Many thanks to Gavin for correcting my
      preception in the form of a very helpful patch.

      also added support for new options in 2.6.7

      removed 1 second sleep based on Petya Kohts testing ( kohts at
      yandex-team dot ru ) as this is un-needed paranoia

      added test to check for rsync binary in configured location

It would be nice if the package could be updated to that version.

Adding http://search.cpan.org/dist/File-Rsync/ add as homepage would be
neat, too.

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.2.0-4-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libfile-rsync-perl depends on:
ii  perl   5.14.2-15
ii  rsync  3.0.9-3

libfile-rsync-perl recommends no packages.

libfile-rsync-perl suggests no packages.

-- no debconf information



Reply sent to Xavier Guimard <x.guimard@free.fr>:
You have taken responsibility. (Tue, 25 Dec 2012 23:06:03 GMT) Full text and rfc822 format available.

Notification sent to Axel Beckert <abe@debian.org>:
Bug acknowledged by developer. (Tue, 25 Dec 2012 23:06:03 GMT) Full text and rfc822 format available.

Message #10 received at 694718-close@bugs.debian.org (full text, mbox):

From: Xavier Guimard <x.guimard@free.fr>
To: 694718-close@bugs.debian.org
Subject: Bug#694718: fixed in libfile-rsync-perl 0.43-1
Date: Tue, 25 Dec 2012 23:02:28 +0000
Source: libfile-rsync-perl
Source-Version: 0.43-1

We believe that the bug you reported is fixed in the latest version of
libfile-rsync-perl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 694718@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Xavier Guimard <x.guimard@free.fr> (supplier of updated libfile-rsync-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 25 Dec 2012 18:35:23 +0100
Source: libfile-rsync-perl
Binary: libfile-rsync-perl
Architecture: source all
Version: 0.43-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Xavier Guimard <x.guimard@free.fr>
Description: 
 libfile-rsync-perl - Perl module interface to rsync
Closes: 694718
Changes: 
 libfile-rsync-perl (0.43-1) unstable; urgency=low
 .
   * Take over for the Debian Perl Group on maintainer's request
     (http://bugs.debian.org/677732#10)
   * Imported Upstream version 0.43 (Closes: #694718)
   * Update source format to 3.0 (quilt)
   * Bump Standards-Version to 3.9.4
   * Bump debhelper compatibility to 8
   * Update debian/copyright (years and format)
   * Replace old Debian diff by patch (non intercative path for rsync)
   * Delete unneeded files introduced by old debian.diff (Makefile,
     Makefile.old and config.pm)
   * Update debian/rules to use "dh $@"
   * Add patch to install libs in libdir instead of archdir
   * Add override_dh_installman to remove empty man page
   * Update description
   * Add rsync in dependencies
Checksums-Sha1: 
 d08ae1a4416430048ac2e06564e3aa8aea204a4b 2094 libfile-rsync-perl_0.43-1.dsc
 e3f4c69e91e565dbe24b85a5fe4d3ecf0ee35294 20009 libfile-rsync-perl_0.43.orig.tar.gz
 2944d1f4b91aa6b63ed31cf8180a4821bed5b1c2 3370 libfile-rsync-perl_0.43-1.debian.tar.gz
 d83eb239b99e27810df14ac0f5775412764d25d2 28254 libfile-rsync-perl_0.43-1_all.deb
Checksums-Sha256: 
 a989930b0a623b142b1e1f58ceb72db4101fba96825e636480ce08d94487ec3b 2094 libfile-rsync-perl_0.43-1.dsc
 83c5981df51342f86575346aeaaad23f1bc6b529ea5404401c4ef52e54000cfc 20009 libfile-rsync-perl_0.43.orig.tar.gz
 b55422d70041cd88fb3649af700d754ab0db6d58729e895bab2e6f15ca5fc1bb 3370 libfile-rsync-perl_0.43-1.debian.tar.gz
 70a8574439378f1f26c64850f6100065cf58c34698e8125b74cc40828fa8361b 28254 libfile-rsync-perl_0.43-1_all.deb
Files: 
 a62a7d185f2196fff4e9c7baf90c04f2 2094 perl optional libfile-rsync-perl_0.43-1.dsc
 fe745f0460454250bc4ed557de8f11ac 20009 perl optional libfile-rsync-perl_0.43.orig.tar.gz
 0aeb839959c39849b8a4a3dd3d401d42 3370 perl optional libfile-rsync-perl_0.43-1.debian.tar.gz
 40d0633420e82eafb5792e433ad3055f 28254 perl optional libfile-rsync-perl_0.43-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQ2ix7AAoJELs6aAGGSaoGL3EP/0Q1HL8vvvNCoInd9jK8uZf4
MV67u3CxUe22LkoYaLpyu1ksx7Fcw+4GbU2GYsXx98H7n6isgJc642ljzKaL+mQF
92EUQc98S9dzwn64pESPgOay6su/8eNThKpbFyleLhAR1x4w0/beX/h+oVH+CoPN
oDlJDaM2+70pfs5+PalbcDvLBN/M3k4uAhlub2PtAJeW3pzIaQKBWij5M3Vls3xY
jL7PXBKk76WWoHTxwpCrVL0NxYr2rcfo9BR7RIuz40L9/2Sc5tAl9bMGlnu7oUtF
7YdpPMG7ERZ9Y7JkrcxeGvjPT1ZI6uRhQULBTs/uhOiDhNvHEQo9OlZ0IDctae8c
MJzgV7/iVY0UqolqLb9yjK1onndTUm1LlEpYKN0DYf3wfzAyW3v4+IZRYd84YL4K
sLT306Qx7ut0S4CYurYI4RjYbClMUzc0mJTDdad3/ayeWPRMRcSAI0dFy0t8Q1+n
4TLLZ8/G25oIbDi9LV1DekseQLoL9SZHZkQtTjelcwrzkG4ghntNNWwklY13YDC8
QONl+hUjhMdxifbloHQdBZ6MvAWSaly+bcPOcl0RzesIp0eGo2YyB3SrXxIv+MPt
TCMtyEoLRHFZvnfusooIL1pFkE9ZFg1HFkOUe9kUWRyeEjpmMzMpzauDVvr97rlZ
Em36NIF0Scb3p5Yt1VSH
=5Rbr
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 03 Jun 2013 07:49:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 22:37:08 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.